<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V1.0//EN"
  "http://www.logreport.org/LRSML/1.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="dnszone" id="top-axfr-zone" charttype="bars">

 <lire:title>Top Requesting AXFR Hosts Report</lire:title>
 <lire:description>
  <para>This report lists the requesting hosts with the most requests.</para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="zones_to_show" type="int" default="10">
   <lire:description>
    <para>This parameter controls the number of hosts to
     display in the report.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Number of AXFRs by zone, Top $zones_to_show</lire:title>
 </lire:display-spec>

 <lire:filter-spec>
  <lire:match value="$axfr_what" re="axfr"/>
 </lire:filter-spec>

 <lire:report-calc-spec>
  <lire:group sort="-axfr_zone-total" limit="$zones_to_show">
   <lire:field name="axfr_zone"/>
   <lire:count name="axfr_zone-total"/>
  </lire:group>

 </lire:report-calc-spec>

</lire:report-spec>
